﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Data;

namespace SLBindingProperties
{
    /// <summary>
    /// Converts a particle Excitement value into a fill colour
    /// </summary>
    public class FillConverter : IValueConverter
    {

        #region IValueConverter Members

        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            double excitement = (double)value;
            byte scaledValue = (byte)(excitement * 255.0 / 7.0);

            if (scaledValue > 255)
                scaledValue = 255;

            Color color = Color.FromArgb(255, scaledValue, 50, (byte)(255-scaledValue));
            return new SolidColorBrush(color);
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }

        #endregion
    }
}
